org.jetlang.remote.acceptor

## Class JetlangFiberSession

- java.lang.Object
- - org.jetlang.remote.acceptor.JetlangFiberSession

All Implemented Interfaces:
  JetlangSession

    public class JetlangFiberSession
    extends Object
    implements JetlangSession

User: mrettig Date: 11/29/11 Time: 11:14 AM

### Constructor Summary

Constructors
Constructor and Description
`JetlangFiberSession(JetlangSession session, org.jetlang.fibers.Fiber targetFiber)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `disconnect()` Attempts to disconnect the client.
`org.jetlang.fibers.Fiber` `getFiber()`
`org.jetlang.channels.Subscriber<HeartbeatEvent>` `getHeartbeatChannel()`
`org.jetlang.channels.Subscriber<LogoutEvent>` `getLogoutChannel()`
`org.jetlang.channels.Subscriber<ReadTimeoutEvent>` `getReadTimeoutChannel()`
`org.jetlang.channels.Subscriber<SessionCloseEvent>` `getSessionCloseChannel()`
`Object` `getSessionId()`
`org.jetlang.channels.Subscriber<SessionMessage<?>>` `getSessionMessageChannel()`
`org.jetlang.channels.Subscriber<SessionRequest>` `getSessionRequestChannel()`
`org.jetlang.channels.Subscriber<SessionTopic>` `getSubscriptionRequestChannel()`
`Map<String,SessionTopic>` `getSubscriptions()`
`org.jetlang.channels.Subscriber<String>` `getUnsubscribeChannel()`
`boolean` `isSubscribed(String topic)`
`void` `publish(byte[] data)` publish raw bytes.
`<T> void` `publish(String topic, T msg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JetlangFiberSession

    public JetlangFiberSession(JetlangSession session,
                               org.jetlang.fibers.Fiber targetFiber)

### Method Detail

#### getSubscriptions

    public Map<String,SessionTopic> getSubscriptions()

#### isSubscribed

    public boolean isSubscribed(String topic)

#### getFiber

    public org.jetlang.fibers.Fiber getFiber()

#### getSessionId

    public Object getSessionId()

Specified by:
  `getSessionId` in interface `JetlangSession`

#### getSubscriptionRequestChannel

    public org.jetlang.channels.Subscriber<SessionTopic> getSubscriptionRequestChannel()

Specified by:
  `getSubscriptionRequestChannel` in interface `JetlangSession`

#### getUnsubscribeChannel

    public org.jetlang.channels.Subscriber<String> getUnsubscribeChannel()

Specified by:
  `getUnsubscribeChannel` in interface `JetlangSession`

#### getLogoutChannel

    public org.jetlang.channels.Subscriber<LogoutEvent> getLogoutChannel()

Specified by:
  `getLogoutChannel` in interface `JetlangSession`

#### getHeartbeatChannel

    public org.jetlang.channels.Subscriber<HeartbeatEvent> getHeartbeatChannel()

Specified by:
  `getHeartbeatChannel` in interface `JetlangSession`

#### getSessionMessageChannel

    public org.jetlang.channels.Subscriber<SessionMessage<?>> getSessionMessageChannel()

Specified by:
  `getSessionMessageChannel` in interface `JetlangSession`

#### getSessionRequestChannel

    public org.jetlang.channels.Subscriber<SessionRequest> getSessionRequestChannel()

Specified by:
  `getSessionRequestChannel` in interface `JetlangSession`

#### getReadTimeoutChannel

    public org.jetlang.channels.Subscriber<ReadTimeoutEvent> getReadTimeoutChannel()

Specified by:
  `getReadTimeoutChannel` in interface `JetlangSession`

#### getSessionCloseChannel

    public org.jetlang.channels.Subscriber<SessionCloseEvent> getSessionCloseChannel()

Specified by:
  `getSessionCloseChannel` in interface `JetlangSession`

#### disconnect

    public void disconnect()

Description copied from interface: `JetlangSession`
Attempts to disconnect the client.

Specified by:
  `disconnect` in interface `JetlangSession`

#### publish

    public void publish(byte[] data)

Description copied from interface: `JetlangSession`
publish raw bytes. The bytes should be correctly formatted with the topic included. The bytes will be published asynchronously, so the byte array should be a thread safe copy of the data.

Specified by:
  `publish` in interface `JetlangSession`

#### publish

    public <T> void publish(String topic,
                            T msg)

Specified by:
  `publish` in interface `JetlangSession`